
NAME

  Addresses - display a network node's addresses 

SYNOPSIS

  Addresses <node> [<community>] [<geometry>]

KEYWORDS

  SNMP system interface

DESCRIPTION

  The Addresses program creates a window that displays  several  kinds
  of  address information for the node.  The "Name Server" panel shows
  the  response  when  the  address  is  looked  up   locally,   using
  gethostbyname(3). The "Address Cache" panel shows what the NDC cache
  has for the name, which may or may not agree with the name server.

  If either of these returns an IP address, it is used  to  make  SNMP
  queries,  and the panel labeled "ipAdEntIfIndex ifPhysAddress" shows
  the results, giving the IP and Ethernet  addresses  for  the  node's
  interfaces.  If no SNMP data is received, the query will be repeated
  every 10 seconds until there is a  reply,  or  until  you  kill  the
  Addresses window.

  Refresh
    This  button  repeats the queries

  OK
  Quit
    These buttons both cause the Addresses window to exit.

  The command-line arguments are:

  <node>
    A hostname or IP address for the remote system. This may be any of
    the   hostnames  or  IP  addresses  associated  with  any  of  the
    computer's network interfaces.

  <community>
    The SNMP community string to use (public by default)

  <geometry>
    The X-windows geometry string for the  window.   By  default,  the
    window  will open wherever the window manager puts it, and will be
    shrink-wrapped to fit the data.

OPTIONS

  None.

ENVIRONMENT

  D_Addresses
    The debug level.  If defined, it should be a single digit; the log
    info goes to standard output.

FILES

LOGFILE
  See D_Addresses above.

DEBUGGING
  See D_Addresses above.

SEE ALSO
  gethostbyname(3)
  SNMPInfo.d
  AddrInfo.d

BUGS
  Some agents don't implement sysName; for such systems, there may be no
  way to determine what the system calls itself.

AUTHOR
  John Chambers <jmc0@gte.com>

