# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - #
# Draw a border for the named node, where c choses a color.  We  haven't  yet #
# decided  just  how  we want to color the border.  Our current scheme cycles #
# among the four colors C(Border0) thru C(Border3).  Part of  the  trickiness #
# here  is that the node may be in any state, including no longer part of the #
# map.  We must be prepared for all sorts of failures, most of which cause us #
# to just turn off flag(name) and return.                                     #
# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - #
proc Blink {name c} {
	global C .map bpic blbl flag n2i n2l n2p p2n
	if {[set i $n2p($name)] != {}} {
		if ![info exists bpic($name)] {
			if {[set b [.map bbox $i]] == {}} {
				set flag($name) 0
				return
			}
			set b [eval .map create rectangle $b -tags $name]
			set bpic($name) $b
			set n2i($name) "$n2i($name) $b"
			set p2n($b) $name
		}
		catch {.map itemconfigure $bpic($name) -width 2 -outline $C(Border$c)}
	}
	if {[set i $n2l($name)] != {}} {
		if [info exists blbl($name)] {} else {
			set b [.map bbox $i]
			set blbl($name) [eval .map create rectangle $b -tags $name]
			set n2i($name) "$n2i($name) $blbl($name)"
			set p2n($blbl($name)) $name
		}
		catch {.map itemconfigure $blbl($name) -width 2 -outline $C(Border$c)}
	}
}

