# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - #
# Draw a border for the named node, where c choses a color.  We  haven't  yet #
# decided  just  how  we want to color the border.  Our current scheme cycles #
# among the four colors C(Border0) thru C(Border3).  Part of  the  trickiness #
# here  is that the node may be in any state, including no longer part of the #
# map.  We must be prepared for all sorts of failures, most of which cause us #
# to just turn off flag(name) and return.                                     #
# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - #
proc Blink {name c} {
	global B C D R .map bicon bpic blbl flag n2i n2l n2p p2n
	if {$D>2} {puts "Blink: Called for name=$name c=$c"}
	if {[set i $n2p($name)] != {}} {		;# Is there a picture for this name?
		if {$D>4} {puts "Blink: Id for picture \"$name\" is $i"}
		if ![info exists bpic($name)] {
			if {$D>2} {puts "Blink: No box for picture \"$name\" id $i."}
			set b [.map bbox $i]	;# Get boundary for the picture.
			if {$b == {}} {
				if {$D>1} {puts "Blink: .map bbox $i failed for $name"}
				set flag($name) 0
				return
			}
			if {$D>2} {puts "Blink: Bounds for picture \"$name\" id $i are \{$b\}"}
			set b [eval .map create rectangle $b -tags $name]
			set bpic($name) $b
			set n2i($name) "$n2i($name) $b"
			set p2n($b) $name
			if {$D>4} {puts "Blink: Ids for picture \"$name\" are $n2i($name)"}
		}
		if {$D>2} {puts "Blink: .map itemconfigure $bpic($name) -width 2 -outline $C(Border$c)"}
		catch {.map itemconfigure $bpic($name) -width 2 -outline $C(Border$c)}
	} else {
		if {$D>2} {puts "Blink: No picture for \"$name\""}
	}
	if {[set i $n2l($name)] != {}} {		;# Is there a label for this name?
		if {$D>4} {puts "Blink: Id for label \"$name\" is $i"}
		if [info exists blbl($name)] {} else {
			if {$D>2} {puts "Blink: No box for label \"$name\" id $i."}
			set b [.map bbox $i]		;# Get boundary for the label.
			if {$D>4} {puts "Blink: Bounds for label \"$name\" id $i are $b"}
			set blbl($name) [eval .map create rectangle $b -tags $name]
			set n2i($name) "$n2i($name) $blbl($name)"
			set p2n($blbl($name)) $name
			if {$D>4} {puts "Blink: Ids for label \"$name\" are $n2i($name)"}
		}
		if {$D>2} {puts "Blink: .map itemconfigure $blbl($name) -width 2 -outline $C(Border$c)"}
		catch {.map itemconfigure $blbl($name) -width 2 -outline $C(Border$c)}
	} else {
		if {$D>2} {puts "Blink: No label for \"$name\""}
	}
}

