
NAME

  NDCModProc - modify NDC process information

SYNOPSIS

  NDCModProc <parent> <node> <comm> <proc> [x y]

KEYWORDS

  NDC process definition

DESCRIPTION

  The NDCModProc program creates a window  that  displays  information
  about  one NDC process and allows you to change it.  This program is
  normally started via a "Modify" menu item in the NDCModProces window
  or  the  "Add/Modify" button in the NDCprocess window, but it may be
  started by hand if you wish.

  The window will appear with the current data showing.  Use the mouse
  and keyboard to change any of the fields, and then press Add/Modify
  to have the changes sent over to the NDC node.  

  In order for changes to take effect, the SNMP community string  must
  be acceptable to the node's agent.  The "public" community is almost
  never acceptable; if this is the community shown, you will  need  to
  find out the correct community from an administrator for the node.

  The command-line arguments are:

  <parent>
    The name of the parent window process. This is currently only used
    for  logfile  output,  but  it  may  be  used  eventually  to send
    information back to the parent to update its display.

  <node>
    A hostname or IP address for the NDC system.

  <comm>
    The SNMP community string to use in (GET and SET) requests.

  <proc>
    A process ID number (procIndex) that determines which process will
    be displayed.

  [x y]
    If present, these are the coordinates of the upper left corner  of
    the window. If missing, the window manager's default will be used.

OPTIONS

  None.

ENVIRONMENT

  NDCDIR
    The NDC working directory; the default is ~ndc, or "." if there is
    no ndc pseudo-user.

  D_NDCModProc
    The debug level.  If defined, it should be a single digit; the log
    info goes to standard output.

FILES
  $NDCDIR/name-ipad/<node>
    If this file exists, its contents will be used as an IP address.

LOGFILE
  See D_NDCModProc above.

DEBUGGING
  See D_NDCModProc above.

SEE ALSO
  Map, NDCModProc

BUGS
  SNMP responds to invalid community strings  by  silently  discarding
  the  request,  so  there  is  little if any feedback possible if you
  don't have the right community string.

AUTHOR
  John Chambers <jmc0@gte.com>

