
NAME

  NDCprocess - display detailed NDC process information

SYNOPSIS

  NDCprocess <parent> <node> <comm> <proc> [x y]

KEYWORDS

  NDC process status

DESCRIPTION

  The NDCprocess program  creates  a  window  that  displays  detailed
  information about one NDC process that might be running on the given
  <node>.  This program is normally started via a "Details" menu  item
  in  the  NDCprocesses  window,  but it may be started by hand if you
  wish, or by any other program that wants a graphics display  of  one
  NDC process.

  The command-line arguments are:

  <parent>
    The name of the parent window process. This is currently only used
    for  logfile  output,  but  it  may  be  used  eventually  to send
    information back to the parent to update its display.

  <node>
    A hostname or IP address for the NDC system.

  <comm>
    The SNMP community string to use in (GET and SET) requests.

  <proc>
    A process ID number (procIndex) that determines which process will
    be displayed.

  [x y]
    If present, these are the coordinates of the upper left corner  of
    the window. If missing, the window manager's default will be used.

OPTIONS

  None.

ENVIRONMENT

  NDCDIR
    The NDC working directory; the default is ~ndc, or "." if there is
    no ndc pseudo-user.

  D_NDCprocess
    The debug level.  If defined, it should be a single digit; the log
    info goes to standard output.

FILES
  $NDCDIR/name-ipad/<node>
    If this file exists, its contents will be used as an IP address.

LOGFILE
  See D_NDCprocess above.

DEBUGGING
  See D_NDCprocess above.

SEE ALSO
  Map, NDCprocess

BUGS

AUTHOR
  John Chambers <jmc0@gte.com>

