
NAME

  NEtrend - display graph of Network Element trend data

SYNOPSIS

  NEtrend <node> <comm> 

KEYWORDS

  Network Element trend graph

DESCRIPTION

  The NEtrend program creates a window that displays a  bar  chart  of
  traffic at the node for one network element.
  
  The menu bar includes a  "NE  Name"  menu  that  shows  the  network
  elements  know  by  the  node, and lets you select one of them.  The
  initial graph will be for data about the first  network  element  in
  the menu list; you can interrupt this at any time by selecting a new
  network element from the menu.

  Below the menu bar is a Refresh button with a time interval next  to
  it. You can change how often the current hour's data is refreshed by
  entering a new number in this field.  The unit defaults to  seconds,
  but  you  may  use  any  of  "HhMmSs"  to  specify hours, minutes or
  seconds.  By pushing the Refresh button, you can force a refresh  of
  all the data in the graph.

  The command-line arguments are:

  <node>
    A hostname or IP address for the NDC system.

  <comm>
    The SNMP community string to use in GET  requests.   This  program
    only reads data, so in most cases "public" will work.

OPTIONS

  None.

ENVIRONMENT

  NDCDIR
    The NDC working directory; the default is ~ndc, or "." if there is
    no ndc pseudo-user.

  D_NEtrend
    The debug level.  If defined, it should be a single digit; the log
    info goes to standard output.

COLORS

  A green or red bar is a current "PegCount" datum; a black bar  is  a
  historical  "Norm"  datum.   Red means there's an alarm indicated at
  that time.

FILES
  $NDCDIR/name-ipad/<node>
    If this file exists, its contents will be used as an IP address.

LOGFILE
  See D_NEtrend above.

DEBUGGING
  See D_NEtrend above.

SEE ALSO
  Map, NEtrend

BUGS
  The data is fetched in real time via SNMP, so the graph is  somewhat
  slow to appear. Also, when a new datum is out of range, the graph is
  rescaled, and this takes some time.

  There is a "Line" item in the "Style" menu, but only bar graphs are
  implemented at present.  Also, the "Interval" is currently fixed at
  10 minutes.  Both may be implemented in future releases.

AUTHOR
  John Chambers <jmc0@gte.com>

