
NAME
  addr_cache - NDC Monitor & Control address cache

SYNOPSIS
  $NDCDIR/mon/*-*/*

DESCRIPTION

  The NDC package needs to deal with machines that  are  sometimes  in
  different  parts  of the IP network, and the local nameservers often
  lack the knowledge of remote systems. As a temporary solution, until
  the  nameservers can be updated, the NDC Monitor and Control package
  supports a local address cache that can save information on a  small
  number of remote systems.

  The data is stored in  several  subdirectories  of  the  $NDCDIR/mon
  directory.   Their  names  all  consists of two words separated by a
  hyphen, saying  what  mapping  they  contain.   Current  directories
  include:

    name-ipad/foo     is the IP address of foo.
    ipad-name/1.2.3.4 is the name associated with the address 1.2.3.4.
    name-lgin/foo     is the NDC login id on the machine foo.
    name-pswd/foo     is the NDC login password on the machine foo.
    name-comm/foo     is the NDC community string on the machine foo.

  The Map program's popup menus for map  icons  include  the  "Address
  Info" item.  It opens a window that shows what the cache knows about
  the named node.  You can fill in the fields,  and  press  "Save"  to
  store  the  data in the cache.  From then on, most of the scripts in
  the NDC Monitor and Control package will use the cached information.

  The cache is accessed directly by many scripts.  For  IP  addresses,
  most of them use the "ipad" command, which first looks in the cache,
  and then uses the "addr" command to ask  local  name  servers.   The
  "ipad"  command is generally useful from shells.  Thus, if you local
  name servers don't know the address of albert, the command
    traceroute albert
  will fail with an "unknown host" message.  But if you type:
    traceroute `ipad albert`
  the command will succeed, because albert is in the NDC address cache
  with IP address 167.163.40.10.

BUGS
  
  It would be better to cache  this  information  in  a  network  name
  server,  but  there are currently practical problems with persuading
  existing name servers to supply all such  information  in  a  timely
  manner.

EXAMPLES

SEE ALSO
  AddrInfo.d, ipad, Map.d, SNMPInfo.d

AUTHOR
  John Chambers 

