
NAME

  NDCprocesses - display NDC process summary

SYNOPSIS

  NDCprocesses <node> [position]

KEYWORDS

  NDC process status

DESCRIPTION

  The  NDCprocesses  program  creates  a  window that displays summary
  information about NDC processes that might be running on  the  given
  name.  The arguments are:

  <node>
    A hostname or IP address for the NDC system.

  [position]
    The  geometry  of the window; if omitted, the window will be sized
    to fit the data, and the position will be determined by the window
    manager.

  The window shows a header panel with information about the node,
  plus one line per NDC process.  You may force a refresh of the data
  by using the Refresh button; otherwise, it will be refreshed at
  intervals determined by the number next to the Refresh button.  The
  default unit is seconds, but any of "HhMmSs" may be appended to the
  number to specify hours, minutes or seconds.

  The Processes value is the number of processes that the remote agent
  believes  it  is  supporting.   You may change this number and press
  Return to send it over to the agent; the next  refresh  will  redraw
  the  window  with  that  many processes.  Note that you must have an
  acceptable SNMP SET community string for the change to occur.

FIELDS
  The fields in the summary display are:

  ID
    This is the line number in the NDC process table.  It  is  similar
    to,  but  different  from,  the  Unix  process id number, which is
    usually a 4- or 5- digit number that changes every time a  program
    is  run.  The NDC process ID is a small integer that is always the
    same for a given process.

  Name
    This is a short mnemonic name for the program, often the  same  as
    the  program's  actual  name  or  of  a  script  used to start the
    program, but not necessarily.

  Descr
    A short textual description of what the process does.

  OperStat
    The process's current status.  The codes are:
      0  the agent can't determine the process's status.
      1  running at this instance.
      2  not running; the last time it ran, it had a zero exit status.
      3  not running; the last time it ran, it had a nonzero exit status.

  start time
    The last time this process was run.

  stop time 
    The last time this process terminated.

  Exit
    The exit status at the last stop time.

  Msg
    A message code, not yet reported by most processes.

MENUS

  Each process has a popup menu with the following items:

  Refresh <name>
     This menu item causes a new copy of the data for that one process to
     be fetched from the remote system.

  Details <name>
     This produces a new window via the NDCprocess program, showing  more
     detailed  information  about the process.  See NDCprocess.d for more
     information.

  Modify  <name>
     This produces a new window showing the modifiable data for  the  one
     process-table  entry.   You  can  use this to modify the information
     about an existing process on the remote system; you may also use  it
     to create a new table entry. Note that, if you create a process with
     an index higher than the number of processes  (in  the  "Processes:"
     field),  the  process  won't be displayed unless you also change the
     number of processes (by changing  the  number  in  the  "Processes:"
     field and pressing Return).

OPTIONS

  None.

ENVIRONMENT

  NDCDIR
    The NDC working directory; the default is ~ndc, or "." if there is
    no ndc pseudo-user.

  D_NDCprocesses
    The debug level.  If defined, it should be a single digit; the log
    info goes to standard output.

FILES
  $NDCDIR/name-ipad/<node>
    If this file exists, its contents will be used as an IP address.

LOGFILE
  See D_NDCprocess above.

DEBUGGING
  See D_NDCprocess above.

SEE ALSO
  Map, NDCprocess

BUGS
  SNMP responds to invalid community strings  by  silently  discarding
  the  request,  so  there  is  little if any feedback possible if you
  don't have the right community string.

AUTHOR
  John Chambers <jmc0@gte.com>

