
                                                              say(1)
SYNOPSIS
   say [option]... word...

DESCRIPTION
   This is a program that merges BSD-and-Sys/V echo,  and  understands
   both  the  "-n"and  "\c"  conventions  for  ending  lines without a
   newline.  Now if the folks that bring us Unix would see fit  to  do
   something this trivial and put it in their libraries...

   As an extra goody, say can either process or  not  process  \-style
   escape  sequences  in the words.  This is to correct a problem with
   many version of the echo command, for which something like:
      echo 'foo\r' >> bar
   results in 'foor' being written, and the backslash disappears. With
   the  "-"  or  -e  or  -N  option,  say copies its params literally,
   without processing any escape sequences.

OPTIONS
   The options generally start with '-' to suppress a feature or  with
   '+' to enable it.  For some options, either '-' or '+' may be used;
   for these, only '-' is shown, but you may use '+' if you wish.   If
   both are shown, then the meanings are different.

   -    Don't process escape sequences.

   ?
   -?
   -h   Produce a brief help menu.

   The following  options  control  case  mappings  by  using  'C'  to
   indicate upper-case and 'c' to indicate lower-case.  This is mostly
   useful if you wish to modify the case of words delivered  by  other
   programs.  Note the +f option which makes these case mappings apply
   to each field in a filename.

   -C   Upper-case first chars.
   -c   lower-case first chars.
   -cc  lower-case everything.
   -CC  Upper-case everything.
   -Cc  Upper-case first chars, lower-case the rest.

   -d[l][file]
   -D[l][file]
        Set debug level to l, output to file [default: -D1]. The debug
        level may be also set in the D_say environment variable.

   +e   Process escape sequences [default].
   -e   Don't process escape sequences (\c).

   -f   Word syntax: case options apply to each arg [default].
   +f   Filename syntax: case options apply after each '/'.

   The following options control case mappings by using 'U' for Upper,
   'L'  for  lower,  and 'M' for mixed; either case may be used in the
   option:

   -l   lower-case first chars.
   -u   Upper-case first chars.
   -ll  lower-case everything.
   -ul  Upper-case first chars, lower-case the rest.
   -uu  Upper-case everything.
   -lm  Lower-case first chars, mixed-case the rest.
   -um  Upper-case first chars, mixed-case the rest.
   -mm  Mixed-case everything [default].

   -n   Don't append a newline.
   +n   Append a newline [default].

   -N   Don't process escape sequences or append a newline.
   +N   Process escape sequences or append a newline [default].

   -1   Non-unique: show args that repeat earlier ones [default].
   +1   Unique: omit args that repeat earlier ones.
   -r   Suppress repeats: omit args that repeat earlier ones.
   +r   Allow repeats: show args that repeat earlier ones [default].

   -R<n>
   +R<n>
       Repeat the output <n> times. If omitted, <n> defaults to a very
       large number.

   -S<n>
   +S<n>
       Sleep <n> seconds between repeats. The default is 0 seconds; +S
       without the <n> means +S1 (one second between lines of output).

   >f
       Output redirection to file f. This is useful when say is execed
       from  other programs.  Note that you must quote this arg (or at
       least the '>') when dealing with a shell, else the  shell  will
       process it.

   These  options should precede any words to which they are to apply.
   The  case  options  may  be  specified  in  the  CASES  environment
   variable; it is overridden by the command-line case options.

   An  interesting  use  of  the +1 (or -r) option is in reducing your
   $path to eliminate the replications that are easy to get if you say
   something like:
      set path = ($cwd/{.,bin,sh} $path /etc)
   If  you  do  this more than once, you can easily end up with a very
   long search path with lots of replications.  Instead, do  something
   like:
      set path = (`say -r $cwd/{.,bin,sh} $path /etc`)
   and  each  directory will occur only once, at its earliest point in
   the list.

   There are many versions of csh that have a file-replicating bug: If
   you  use a pathname with multiple wildcards, such as "a*b/c**d/e*",
   and there is more than one possible match, csh's wildcard expansion
   may  give you some of the expansions more than once.  You can use a
   command like:
      files = ( `say +1 -N a*b/c**d/e*` )
   to eliminate these repetitions.

   This program uses JC's debug package, which can be useful when  you
   first  compile it.  After you have it working, you might delete all
   the lines that start with a ':' and recompile.  To  enable  output,
   you  can  use  the  -D option, or you can use the D_say environment
   variable.  Both take a  "value"  that  is  a  1-digit  debug  level
   (default=1)  followed  by  an  optional filename (which defaults to
   stderr).  Thus if you tell csh:
      setenv D_say 5/tmp/say.out
   then all uses of say will run at debug level  5,  and  write  their
   output to the /tmp/say.out file.  If you say:
      say -D3/log/say
   then that one call of say will run at debug level 3, and will write
   its output to the /log/say file.

   Warning:  With the -R option, options are only processed the  first
   time,  so  attempts  to  change options within the line will not be
   effective.

BUGS
   You may be tempted to install say as "echo", but note  that  shells
   often  have echo as a builtin which will supercede the program.  So
   it's probably better to just get used to invoking "say" rather than
   "echo".

SEE ALSO
   echo(1)
