#!/ndc/bin/wish
#
# From: "Donal K. Fellows" <fellowsd@cs.man.ac.uk>
#
# Args:
#   base    - name of frame to create (will need to be packed by user)
#   icondir - name of directory to search
#
# This routine creates a frame and packs it full of icons from the
# icondir.  The base frame will contain a column of subframes base.$i,
# each of which will contain a row of frames base.$i.$j; these in turn
# contain a bitmap (an icon) and a label (the icon's name).
#
proc mkImagesPane {base {icondir .} {glob *.xbm}} {
	global B D R
	if {$D} {puts "mkImagesPane: base=\"$base\" icondir=\"icondir\""}
	set icons [glob $icondir/$glob]
		set wide [expr int(ceil(sqrt([llength $icons])))]
	set i 0
	set j $wide

	if [winfo exists $base] {} else {frame $base}
	foreach icon $icons {
		if {$D} {puts "mkImagesPane: icon=\"$icon\""}
		regexp {.*/([^/]+)\.xbm} $icon junk name
		regsub -all {[-+.]} $name {} name
		incr j
		if {$j > $wide} {
			set j 1
			incr i
			frame $base.$i -relief flat -bd $B -relief $R
		}
		pack [frame $base.$i.$j] -side left
		pack [label $base.$i.$j.img -bitmap @$icon] -side top
		pack [label $base.$i.$j.lab -text $name] -side top
	}
	for {set j 1} {$j <= $i} {incr j} {
		pack $base.$j -side top -fill x
	}
	return $base
}

set B 3
set D 1
set R ridge

frame .foo
pack .foo

mkImagesPane .foo icon
