
SNMPGETNEXT(1)           USER COMMANDS             SNMPGETNEXT(1)

NAME
  snmpNext - communicates with a network entity using SNMP GET NEXT
  Requests.

SYNOPSIS
  snmpNext host community variable-name [variable-name]...

DESCRIPTION
  Snmpget is an SNMP application that uses the  GET  NEXT  Request  to
  query  for  information  on  a  network  entity.  One or more object
  identifiers may be given as arguments on  the  command  line.   Each
  variable name is given in the format specified in variables(5).  For
  each one, the variable that is lexicographicly "next" in the  remote
  entity's MIB will be returned.

  The  host  specification  may  be  either a host name or an internet
  address specified in "dot notation"

  The community specifies the community name for the transaction  with
  the remote system.

  For example

  snmpNext  netdev-kbox.cc.cmu.edu  public  system.sysdescr
  system.sysUpTime

  will retrieve the variables sysDescr.0 and sysUpTime.0:

  Name: system.sysDescr.0
  OCTET STRING- (ascii):   Kinetics FastPath2

  Name: system.sysUpTime.0
  Timeticks: (2270351) 6:18:23

  If the network entity has an error processing the request packet, an
  error  message  will  be  shown, helping to pinpoint in what way the
  request was malformed.

  Adding a "-d" to the argument list will  cause  the  application  to
  dump input and output packets.

SEE ALSO
  variables(5), RFC 1065, RFC 1066, RFC 1067

