set snmpTestFile {}	;# snmpTest process
# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - #
# Make sure the snmpTest process has been started, and return the file.  This
# routine  depends on either $ipad or $ipads being defined and containing the
# IP address(es) of the remote node.  If this routine is to  be  included  in
# multi-node  programs  (such  as  Map),  it  will  have to be augmented by a
# mechanism to tell it which node to talk to.
proc snmpTestProc {} {
	global D ndcport ipad ipads comm me snmpTestFile
	if ![info exists ipad] {
		if [info exists ipads] {
			set ipad [lindex $ipads 0]
		} else {
			if {$D} {puts "$me/snmpTestProc: ### No IP address(es) known"}
			return stderr
		}
	}
	if [catch {flush $snmpTestFile} msg] {
		if {$D>1} {puts "$me/snmpTestProc: Problem with $snmpTestFile: $msg"}
		catch {close $snmpTestFile}
		set snmpTestFile {}
	}
	if {$snmpTestFile == {}} {
		set rc [catch {open "| snmpTest -i -sw $ndcport $ipad $comm" w} snmpTestFile]
		if {$D>1} {puts "$me/snmpTestProc: open gave rc=$rc snmpTestFile=\"$snmpTestFile\""}
		if {$rc} {
			puts stderr "${me}: ### Can't exec snmpTest ($snmpTestFile)"
			set snmpTestFile {}
		}
	}
	if {$D>1} {puts "$me/snmpTestProc: snmpTestFile=$snmpTestFile"}
	return $snmpTestFile
}
